Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class JBossRemotingContextFactory

    java.lang.Object
      org.jboss.naming.JBossRemotingContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory, javax.naming.spi.ObjectFactory

Direct Known Subclasses:
  KernelInitializingContextFactory

    public class JBossRemotingContextFactory

extends java.lang.Object
implements javax.naming.spi.InitialContextFactory, javax.naming.spi.ObjectFactory

Creating a JNDI connection using JBoss Remoting. If Context.SECURITY_PRINCIPAL and Context.SECURITY_CREDENTIALS are set, this InitialContextFactory implementation combines the authentication phase with the InitialContext creation. During the getInitialContext callback from the JNDI naming, layer security context identity is populated with the username obtained from the Context.SECURITY_PRINCIPAL env property and the credentials from the Context.SECURITY_CREDENTIALS env property. There is no actual authentication of this information. It is merely made available to the jboss transport layer for incorporation into subsequent invocations. Authentication and authorization will occur on the server. If Context.SECURITY_PROTOCOL is provided as well as the principal and credentials, then a JAAS login will be performed instead using the security domain provided with the SECURITY_PROTOCOL variable.

Version:
  $Revision: 37459 $
Author:
  Bill Burke, Scott Stark, adrian@jboss.org

Constructor Summary
`JBossRemotingContextFactory()`

Method Summary
`javax.naming.Context` | `getInitialContext(java.util.Hashtable env)`
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossRemotingContextFactory

    public JBossRemotingContextFactory()

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable env)
                                           throws javax.naming.NamingException

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Throws:
    `javax.naming.NamingException`

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD